org.apache.xmpbox.schema

## Class PhotoshopSchema

- java.lang.Object
- - org.apache.xmpbox.type.AbstractField
  - - org.apache.xmpbox.type.AbstractComplexProperty
    - - org.apache.xmpbox.type.AbstractStructuredType
      - - org.apache.xmpbox.schema.XMPSchema
        - - org.apache.xmpbox.schema.PhotoshopSchema

    public class PhotoshopSchema
    extends XMPSchema

### Field Summary

Fields
`static String` `ANCESTORID`
`static String` `AUTHORS_POSITION`
`static String` `CAPTION_WRITER`
`static String` `CATEGORY`
`static String` `CITY`
`static String` `COLOR_MODE`
`static String` `COUNTRY`
`static String` `CREDIT`
`static String` `DATE_CREATED`
`static String` `DOCUMENT_ANCESTORS`
`static String` `HEADLINE`
`static String` `HISTORY`
`static String` `ICC_PROFILE`
`static String` `INSTRUCTIONS`
`static String` `SOURCE`
`static String` `STATE`
`static String` `SUPPLEMENTAL_CATEGORIES`
`static String` `TEXT_LAYERS`
`static String` `TRANSMISSION_REFERENCE`
`static String` `URGENCY`

### Fields inherited from class org.apache.xmpbox.type.AbstractStructuredType

`STRUCTURE_ARRAY_NAME`

### Constructor Summary

Constructors
Constructor and Description
`PhotoshopSchema(XMPMetadata metadata)`
`PhotoshopSchema(XMPMetadata metadata, String ownPrefix)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addDocumentAncestors(String text)`
`void` `addTextLayers(String layerName, String layerText)`
`String` `getAncestorID()`
`URIType` `getAncestorIDProperty()`
`String` `getAuthorsPosition()`
`TextType` `getAuthorsPositionProperty()`
`String` `getCaptionWriter()`
`TextType` `getCaptionWriterProperty()`
`String` `getCategory()`
`TextType` `getCategoryProperty()`
`String` `getCity()`
`TextType` `getCityProperty()`
`Integer` `getColorMode()`
`IntegerType` `getColorModeProperty()`
`String` `getCountry()`
`TextType` `getCountryProperty()`
`String` `getCredit()`
`TextType` `getCreditProperty()`
`String` `getDateCreated()`
`DateType` `getDateCreatedProperty()`
`List<String>` `getDocumentAncestors()`
`ArrayProperty` `getDocumentAncestorsProperty()`
`String` `getHeadline()`
`TextType` `getHeadlineProperty()`
`String` `getHistory()`
`TextType` `getHistoryProperty()`
`String` `getICCProfile()`
`TextType` `getICCProfileProperty()`
`String` `getInstructions()`
`TextType` `getInstructionsProperty()`
`String` `getSource()`
`TextType` `getSourceProperty()`
`String` `getState()`
`TextType` `getStateProperty()`
`String` `getSupplementalCategories()`
`TextType` `getSupplementalCategoriesProperty()`
`List<LayerType>` `getTextLayers()`
`String` `getTransmissionReference()`
`TextType` `getTransmissionReferenceProperty()`
`Integer` `getUrgency()`
`IntegerType` `getUrgencyProperty()`
`void` `setAncestorID(String text)`
`void` `setAncestorIDProperty(URIType text)`
`void` `setAuthorsPosition(String text)`
`void` `setAuthorsPositionProperty(TextType text)`
`void` `setCaptionWriter(String text)`
`void` `setCaptionWriterProperty(ProperNameType text)`
`void` `setCategory(String text)`
`void` `setCategoryProperty(TextType text)`
`void` `setCity(String text)`
`void` `setCityProperty(TextType text)`
`void` `setColorMode(String text)`
`void` `setColorModeProperty(IntegerType text)`
`void` `setCountry(String text)`
`void` `setCountryProperty(TextType text)`
`void` `setCredit(String text)`
`void` `setCreditProperty(TextType text)`
`void` `setDateCreated(String text)`
`void` `setDateCreatedProperty(DateType text)`
`void` `setHeadline(String text)`
`void` `setHeadlineProperty(TextType text)`
`void` `setHistory(String text)`
`void` `setHistoryProperty(TextType text)`
`void` `setICCProfile(String text)`
`void` `setICCProfileProperty(TextType text)`
`void` `setInstructions(String text)`
`void` `setInstructionsProperty(TextType text)`
`void` `setSource(String text)`
`void` `setSourceProperty(TextType text)`
`void` `setState(String text)`
`void` `setStateProperty(TextType text)`
`void` `setSupplementalCategories(String text)`
`void` `setSupplementalCategoriesProperty(TextType text)`
`void` `setTransmissionReference(String text)`
`void` `setTransmissionReferenceProperty(TextType text)`
`void` `setUrgency(Integer s)`
`void` `setUrgency(String s)`
`void` `setUrgencyProperty(IntegerType text)`

### Methods inherited from class org.apache.xmpbox.schema.XMPSchema

`addBagValue, addBagValueAsSimple, addQualifiedBagValue, addSequenceDateValueAsSimple, addUnqualifiedSequenceDateValue, addUnqualifiedSequenceValue, addUnqualifiedSequenceValue, getAboutAttribute, getAboutValue, getAbstractProperty, getBooleanProperty, getBooleanPropertyValue, getBooleanPropertyValueAsSimple, getDateProperty, getDatePropertyValue, getDatePropertyValueAsSimple, getIntegerProperty, getIntegerPropertyValue, getIntegerPropertyValueAsSimple, getUnqualifiedArrayList, getUnqualifiedBagValueList, getUnqualifiedLanguagePropertyLanguagesValue, getUnqualifiedLanguagePropertyValue, getUnqualifiedSequenceDateValueList, getUnqualifiedSequenceValueList, getUnqualifiedTextProperty, getUnqualifiedTextPropertyValue, instanciateSimple, merge, removeUnqualifiedArrayValue, removeUnqualifiedBagValue, removeUnqualifiedSequenceDateValue, removeUnqualifiedSequenceValue, removeUnqualifiedSequenceValue, reorganizeAltOrder, setAbout, setAboutAsSimple, setBooleanProperty, setBooleanPropertyValue, setBooleanPropertyValueAsSimple, setDateProperty, setDatePropertyValue, setDatePropertyValueAsSimple, setIntegerProperty, setIntegerPropertyValue, setIntegerPropertyValueAsSimple, setTextProperty, setTextPropertyValue, setTextPropertyValueAsSimple, setUnqualifiedLanguagePropertyValue`

### Methods inherited from class org.apache.xmpbox.type.AbstractStructuredType

`addSimpleProperty, createArrayProperty, createTextType, getDatePropertyAsCalendar, getNamespace, getPreferedPrefix, getPrefix, getPropertyValueAsString, setNamespace, setPrefix`

### Methods inherited from class org.apache.xmpbox.type.AbstractComplexProperty

`addNamespace, addProperty, getAllNamespacesWithPrefix, getAllProperties, getArrayProperty, getContainer, getFirstEquivalentProperty, getNamespacePrefix, getProperty, removeProperty`

### Methods inherited from class org.apache.xmpbox.type.AbstractField

`containsAttribute, getAllAttributes, getAttribute, getMetadata, getPropertyName, removeAttribute, setAttribute, setPropertyName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ANCESTORID

    public static final String ANCESTORID

See Also:
  Constant Field Values

#### AUTHORS_POSITION

    public static final String AUTHORS_POSITION

See Also:
  Constant Field Values

#### CAPTION_WRITER

    public static final String CAPTION_WRITER

See Also:
  Constant Field Values

#### CATEGORY

    public static final String CATEGORY

See Also:
  Constant Field Values

#### CITY

    public static final String CITY

See Also:
  Constant Field Values

#### COLOR_MODE

    public static final String COLOR_MODE

See Also:
  Constant Field Values

#### COUNTRY

    public static final String COUNTRY

See Also:
  Constant Field Values

#### CREDIT

    public static final String CREDIT

See Also:
  Constant Field Values

#### DATE_CREATED

    public static final String DATE_CREATED

See Also:
  Constant Field Values

#### DOCUMENT_ANCESTORS

    public static final String DOCUMENT_ANCESTORS

See Also:
  Constant Field Values

#### HEADLINE

    public static final String HEADLINE

See Also:
  Constant Field Values

#### HISTORY

    public static final String HISTORY

See Also:
  Constant Field Values

#### ICC_PROFILE

    public static final String ICC_PROFILE

See Also:
  Constant Field Values

#### INSTRUCTIONS

    public static final String INSTRUCTIONS

See Also:
  Constant Field Values

#### SOURCE

    public static final String SOURCE

See Also:
  Constant Field Values

#### STATE

    public static final String STATE

See Also:
  Constant Field Values

#### SUPPLEMENTAL_CATEGORIES

    public static final String SUPPLEMENTAL_CATEGORIES

See Also:
  Constant Field Values

#### TEXT_LAYERS

    public static final String TEXT_LAYERS

See Also:
  Constant Field Values

#### TRANSMISSION_REFERENCE

    public static final String TRANSMISSION_REFERENCE

See Also:
  Constant Field Values

#### URGENCY

    public static final String URGENCY

See Also:
  Constant Field Values

### Constructor Detail

#### PhotoshopSchema

    public PhotoshopSchema(XMPMetadata metadata)

#### PhotoshopSchema

    public PhotoshopSchema(XMPMetadata metadata,
                           String ownPrefix)

### Method Detail

#### getAncestorIDProperty

    public URIType getAncestorIDProperty()

#### getAncestorID

    public String getAncestorID()

#### setAncestorID

    public void setAncestorID(String text)

#### setAncestorIDProperty

    public void setAncestorIDProperty(URIType text)

#### getAuthorsPositionProperty

    public TextType getAuthorsPositionProperty()

#### getAuthorsPosition

    public String getAuthorsPosition()

#### setAuthorsPosition

    public void setAuthorsPosition(String text)

#### setAuthorsPositionProperty

    public void setAuthorsPositionProperty(TextType text)

#### getCaptionWriterProperty

    public TextType getCaptionWriterProperty()

#### getCaptionWriter

    public String getCaptionWriter()

#### setCaptionWriter

    public void setCaptionWriter(String text)

#### setCaptionWriterProperty

    public void setCaptionWriterProperty(ProperNameType text)

#### getCategoryProperty

    public TextType getCategoryProperty()

#### getCategory

    public String getCategory()

#### setCategory

    public void setCategory(String text)

#### setCategoryProperty

    public void setCategoryProperty(TextType text)

#### getCityProperty

    public TextType getCityProperty()

#### getCity

    public String getCity()

#### setCity

    public void setCity(String text)

#### setCityProperty

    public void setCityProperty(TextType text)

#### getColorModeProperty

    public IntegerType getColorModeProperty()

#### getColorMode

    public Integer getColorMode()

#### setColorMode

    public void setColorMode(String text)

#### setColorModeProperty

    public void setColorModeProperty(IntegerType text)

#### getCountryProperty

    public TextType getCountryProperty()

#### getCountry

    public String getCountry()

#### setCountry

    public void setCountry(String text)

#### setCountryProperty

    public void setCountryProperty(TextType text)

#### getCreditProperty

    public TextType getCreditProperty()

#### getCredit

    public String getCredit()

#### setCredit

    public void setCredit(String text)

#### setCreditProperty

    public void setCreditProperty(TextType text)

#### getDateCreatedProperty

    public DateType getDateCreatedProperty()

#### getDateCreated

    public String getDateCreated()

#### setDateCreated

    public void setDateCreated(String text)

#### setDateCreatedProperty

    public void setDateCreatedProperty(DateType text)

#### addDocumentAncestors

    public void addDocumentAncestors(String text)

#### getDocumentAncestorsProperty

    public ArrayProperty getDocumentAncestorsProperty()

#### getDocumentAncestors

    public List<String> getDocumentAncestors()

#### getHeadlineProperty

    public TextType getHeadlineProperty()

#### getHeadline

    public String getHeadline()

#### setHeadline

    public void setHeadline(String text)

#### setHeadlineProperty

    public void setHeadlineProperty(TextType text)

#### getHistoryProperty

    public TextType getHistoryProperty()

#### getHistory

    public String getHistory()

#### setHistory

    public void setHistory(String text)

#### setHistoryProperty

    public void setHistoryProperty(TextType text)

#### getICCProfileProperty

    public TextType getICCProfileProperty()

#### getICCProfile

    public String getICCProfile()

#### setICCProfile

    public void setICCProfile(String text)

#### setICCProfileProperty

    public void setICCProfileProperty(TextType text)

#### getInstructionsProperty

    public TextType getInstructionsProperty()

#### getInstructions

    public String getInstructions()

#### setInstructions

    public void setInstructions(String text)

#### setInstructionsProperty

    public void setInstructionsProperty(TextType text)

#### getSourceProperty

    public TextType getSourceProperty()

#### getSource

    public String getSource()

#### setSource

    public void setSource(String text)

#### setSourceProperty

    public void setSourceProperty(TextType text)

#### getStateProperty

    public TextType getStateProperty()

#### getState

    public String getState()

#### setState

    public void setState(String text)

#### setStateProperty

    public void setStateProperty(TextType text)

#### getSupplementalCategoriesProperty

    public TextType getSupplementalCategoriesProperty()

#### getSupplementalCategories

    public String getSupplementalCategories()

#### setSupplementalCategories

    public void setSupplementalCategories(String text)

#### setSupplementalCategoriesProperty

    public void setSupplementalCategoriesProperty(TextType text)

#### addTextLayers

    public void addTextLayers(String layerName,
                              String layerText)

#### getTextLayers

    public List<LayerType> getTextLayers()
                                  throws BadFieldValueException

Throws:
  `BadFieldValueException`

#### getTransmissionReferenceProperty

    public TextType getTransmissionReferenceProperty()

#### getTransmissionReference

    public String getTransmissionReference()

#### setTransmissionReference

    public void setTransmissionReference(String text)

#### setTransmissionReferenceProperty

    public void setTransmissionReferenceProperty(TextType text)

#### getUrgencyProperty

    public IntegerType getUrgencyProperty()

#### getUrgency

    public Integer getUrgency()

#### setUrgency

    public void setUrgency(String s)

#### setUrgency

    public void setUrgency(Integer s)

#### setUrgencyProperty

    public void setUrgencyProperty(IntegerType text)